<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Problem Number30</title>
</head>

<body>
	
	<h2> JavaScript Excercise</h2>
	
	<p> <b> No.30:</b> Write a JavaScript program to check if a string "Script" presents at 5th (index 4) position in a given string, if "Script" presents in the string return the string without "Script" otherwise return the original one.</p>
	
	<p> <b> Solution :</b></p>
	
	<div style="border: 1px dashed black; padding: 20px; width: 425px; height: auto;">
	<input type="text" id="txt" placeholder="Enter Your Favourite Text">	
	<input type="button" onClick="generate()" name="gen" value="Generate!">
		
		<pre id="demo"></pre>
		
	</div>
	
<script>
	function generate() {
		var str = document.getElementById('txt').value;
		var char_sc = str.substring(4,10);
		var lngth = str.length;
		var part1 = str.substring(0,4);
		var part2 = str.substring(10,lngth);
		if ( char_sc == "Script") {
			document.getElementById('demo').innerHTML=
				part1 + part2;
		} else {
			document.getElementById('demo').innerHTML=
				str
		}
	}
	
	</script>
</body>
</html>
